From: [email-masked] (Subbarao Kambhampati)
Date: Mon, 1 Jul 91 18:57:20 PDT

Path: leland.Stanford.EDU!stanford.edu!agate!ucbvax!cis.ohio-state.edu!sei.cmu.edu!fs7.ece.cmu.edu!o.gp.cs.cmu.edu!andrew.cmu.edu!ag3l+
>From: [email-masked] (Arun K. Gupta)
Newsgroups: soc.culture.indian
Subject: Re: Albert Rao ko gussaa kyon aayaa
Message-ID: <[email-masked]>
Date: 1 Jul 91 19:56:52 GMT
Organization: Carnegie Mellon, Pittsburgh, PA
Lines: 20

One thing is sure, yours truly blew his own top.

I apologize to Rao for impugning the sincereity
of his motives and the outrage he felt at OP's
and others' posts. The problem of sexist Indian
male attitudes is a real one, and Rao was drawing
attention to the problem in his own style.

But I still feel resentful at being implicitly
branded "sexist", of having a high tolerance level
for sexism merely because I didn't protest on the
net, and in public. There is an equally big
problem of being percieved as being sexist,
merely by virtue of being an Indian male,
and Rao did no service to those who are
burdened by that stereotype.

Arun Gupta
[still smouldering]